<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** ツールチップショートコード *****/
function haup_tooltip_shortcode( $atts ) {
	$atts = shortcode_atts(
		array(
			'title' => __('Title','hima-art-utility'),
			'text' => __('Text','hima-art-utility'),
		),$atts);

	if(empty($atts['title'])){
		$atts['title'] = __('Your Title','hima-art-utility');
	}else{
		$atts['title'] = $atts['title'];
	}

	if(empty($atts['text'])){
		$atts['text'] = __('Your text','hima-art-utility');
	}else{
		$atts['text'] = $atts['text'];
	}

$main_be = hau_sanitize_html_tags('<span class="ha-tooltip">');
$main_af = hau_sanitize_html_tags('</span>');
$output_title = esc_html($atts['title']);
$output_text = esc_html($atts['text']);
$text_be = hau_sanitize_html_tags('<span class="ha-tooltip-text">');
$text_af = hau_sanitize_html_tags('</span>');

	return $main_be.$output_title.$text_be.$output_text.$text_af.$main_af;
}
add_shortcode('ha-tooltip', 'haup_tooltip_shortcode');